indexing

	description:

		"Eiffel parsers"

	author:     "Eric Bezault <ericb@gobosoft.com>"
	copyright:  "Copyright (c) 1999-2001, Eric Bezault and others"
	license:    "Eiffel Forum Freeware License v1 (see forum.txt)"
	date:       "$Date: 2001/03/18 12:59:46 $"
	revision:   "$Revision: 1.6 $"

class ET_EIFFEL_PARSER

inherit

	ET_EIFFEL_PARSER_SKELETON

	ET_EIFFEL_SCANNER
		rename
			make as make_eiffel_scanner
		end

creation

	make, make_with_factory


feature {NONE} -- Implementation

	yy_build_parser_tables is
			-- Build parser tables.
		do
			yytranslate ?= yytranslate_template
			yyr1 ?= yyr1_template
			yyr2 ?= yyr2_template
			yydefact ?= yydefact_template
			yydefgoto ?= yydefgoto_template
			yypact ?= yypact_template
			yypgoto ?= yypgoto_template
			yytable ?= yytable_template
			yycheck ?= yycheck_template
		end

feature {NONE} -- Semantic actions

	yy_do_action (yy_act: INTEGER) is
			-- Execute semantic action.
		local
			yyval1: ET_POSITION
			yyval2: ET_BIT_CONSTANT
			yyval3: ET_BOOLEAN_CONSTANT
			yyval4: ET_CHARACTER_CONSTANT
			yyval5: ET_IDENTIFIER
			yyval6: ET_INTEGER_CONSTANT
			yyval7: ET_MANIFEST_STRING
			yyval8: ET_REAL_CONSTANT
			yyval9: ET_TOKEN
			yyval10: ET_ACTUAL_ARGUMENTS
			yyval11: ET_ACTUAL_GENERIC_PARAMETERS
			yyval12: ET_ASSERTION
			yyval13: ET_ASSERTIONS
			yyval14: ET_CLASS
			yyval15: ET_CLIENTS
			yyval16: ET_COMPOUND
			yyval17: ET_EXPRESSION
			yyval18: ET_FEATURE
			yyval19: ET_FEATURE_NAME
			yyval20: ET_FORMAL_ARGUMENTS
			yyval21: ET_FORMAL_GENERIC_PARAMETER
			yyval22: ET_FORMAL_GENERIC_PARAMETERS
			yyval23: ET_IF_INSTRUCTION
			yyval24: ET_INSTRUCTION
			yyval25: ET_LOCAL_VARIABLES
			yyval26: ET_NAMED_TYPE
			yyval27: ET_PARENTS
			yyval28: ET_POSTCONDITIONS
			yyval29: ET_PRECONDITIONS
			yyval30: ET_RENAME
			yyval31: ET_TYPE
			yyval32: ET_WRITABLE
			yyval33: like new_export_list
			yyval34: like new_feature_list
			yyval35: like new_rename_list
		do
			inspect yy_act
when 6 then
--|#line 134
			yyval := yyval_default;
yytype14 (yyvs.item (yyvsp - 3)).set_parents (yytype27 (yyvs.item (yyvsp))) 

when 28 then
--|#line 193

last_class := new_class (yytype5 (yyvs.item (yyvsp))); yyval14 := last_class 
			yyval := yyval14
when 29 then
--|#line 195

last_class := new_deferred_class (yytype5 (yyvs.item (yyvsp))); yyval14 := last_class 
			yyval := yyval14
when 30 then
--|#line 197

last_class := new_expanded_class (yytype5 (yyvs.item (yyvsp))); yyval14 := last_class 
			yyval := yyval14
when 31 then
--|#line 199

last_class := new_separate_class (yytype5 (yyvs.item (yyvsp))); yyval14 := last_class 
			yyval := yyval14
when 34 then
--|#line 210

set_formal_generic_parameters (yytype22 (yyvs.item (yyvsp - 1))) 
			yyval := yyval22
when 35 then
--|#line 214

			yyval22 := new_formal_generics (yytype21 (yyvs.item (yyvsp)))
		
			yyval := yyval22
when 36 then
--|#line 218

			yyval22 := yytype22 (yyvs.item (yyvsp - 2))
			yyval22.put (yytype21 (yyvs.item (yyvsp)))
		
			yyval := yyval22
when 37 then
--|#line 225

yyval21 := new_formal_generic (yytype5 (yyvs.item (yyvsp)), Void) 
			yyval := yyval21
when 38 then
--|#line 227

yyval21 := new_formal_generic (yytype5 (yyvs.item (yyvsp - 3)), yytype31 (yyvs.item (yyvsp - 1))) 
			yyval := yyval21
when 41 then
--|#line 235

yyval31 := yytype26 (yyvs.item (yyvsp)) 
			yyval := yyval31
when 42 then
--|#line 237

yyval31 := yytype26 (yyvs.item (yyvsp)) 
			yyval := yyval31
when 43 then
--|#line 240

yyval31 := yytype26 (yyvs.item (yyvsp)) 
			yyval := yyval31
when 44 then
--|#line 243

yyval31 := new_like_current (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval31
when 45 then
--|#line 245

yyval31 := new_like_identifier (yytype5 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval31
when 46 then
--|#line 247

yyval31 := new_bit_type (yytype6 (yyvs.item (yyvsp)), yytype5 (yyvs.item (yyvsp - 1)).position) 
			yyval := yyval31
when 47 then
--|#line 249

yyval31 := new_bit_identifier (yytype5 (yyvs.item (yyvsp)), yytype5 (yyvs.item (yyvsp - 1)).position)  
			yyval := yyval31
when 48 then
--|#line 253

yyval26 := new_constraint_named_type (yytype5 (yyvs.item (yyvsp - 1)), yytype11 (yyvs.item (yyvsp))) 
			yyval := yyval26
when 51 then
--|#line 262

yyval11 := yytype11 (yyvs.item (yyvsp - 1)) 
			yyval := yyval11
when 52 then
--|#line 266

yyval11 := new_actual_generics (yytype31 (yyvs.item (yyvsp))) 
			yyval := yyval11
when 53 then
--|#line 268

			yyval11 := yytype11 (yyvs.item (yyvsp - 2))
			yyval11.put (yytype31 (yyvs.item (yyvsp)))
		
			yyval := yyval11
when 55 then
--|#line 279

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 57 then
--|#line 287

yyval27 := yytype27 (yyvs.item (yyvsp)) 
			yyval := yyval27
when 58 then
--|#line 291

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 12)), yytype11 (yyvs.item (yyvsp - 11)), yytype35 (yyvs.item (yyvsp - 10)), yytype33 (yyvs.item (yyvsp - 9)), yytype34 (yyvs.item (yyvsp - 8)), yytype34 (yyvs.item (yyvsp - 7)), yytype34 (yyvs.item (yyvsp - 6)))) 
			yyval := yyval27
when 59 then
--|#line 295

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 11)), yytype11 (yyvs.item (yyvsp - 10)), Void, yytype33 (yyvs.item (yyvsp - 9)), yytype34 (yyvs.item (yyvsp - 8)), yytype34 (yyvs.item (yyvsp - 7)), yytype34 (yyvs.item (yyvsp - 6)))) 
			yyval := yyval27
when 60 then
--|#line 299

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 10)), yytype11 (yyvs.item (yyvsp - 9)), Void, Void, yytype34 (yyvs.item (yyvsp - 8)), yytype34 (yyvs.item (yyvsp - 7)), yytype34 (yyvs.item (yyvsp - 6)))) 
			yyval := yyval27
when 61 then
--|#line 302

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 9)), yytype11 (yyvs.item (yyvsp - 8)), Void, Void, Void, yytype34 (yyvs.item (yyvsp - 7)), yytype34 (yyvs.item (yyvsp - 6)))) 
			yyval := yyval27
when 62 then
--|#line 305

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 8)), yytype11 (yyvs.item (yyvsp - 7)), Void, Void, Void, Void, yytype34 (yyvs.item (yyvsp - 6)))) 
			yyval := yyval27
when 63 then
--|#line 308

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 7)), yytype11 (yyvs.item (yyvsp - 6)), Void, Void, Void, Void, Void)) 
			yyval := yyval27
when 64 then
--|#line 311

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 6)), yytype11 (yyvs.item (yyvsp - 5)), Void, Void, Void, Void, Void)) 
			yyval := yyval27
when 65 then
--|#line 314

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 5)), yytype11 (yyvs.item (yyvsp - 4)), Void, Void, Void, Void, Void)) 
			yyval := yyval27
when 66 then
--|#line 316

yyval27 := new_parents (new_parent (yytype5 (yyvs.item (yyvsp - 4)), yytype11 (yyvs.item (yyvsp - 3)), Void, Void, Void, Void, Void)) 
			yyval := yyval27
when 67 then
--|#line 319

yyval27 := yytype27 (yyvs.item (yyvsp)); yyval27.put_first (new_parent (yytype5 (yyvs.item (yyvsp - 9)), yytype11 (yyvs.item (yyvsp - 8)), yytype35 (yyvs.item (yyvsp - 7)), yytype33 (yyvs.item (yyvsp - 6)), yytype34 (yyvs.item (yyvsp - 5)), yytype34 (yyvs.item (yyvsp - 4)), yytype34 (yyvs.item (yyvsp - 3)))) 
			yyval := yyval27
when 68 then
--|#line 323

yyval27 := yytype27 (yyvs.item (yyvsp)); yyval27.put_first (new_parent (yytype5 (yyvs.item (yyvsp - 8)), yytype11 (yyvs.item (yyvsp - 7)), Void, yytype33 (yyvs.item (yyvsp - 6)), yytype34 (yyvs.item (yyvsp - 5)), yytype34 (yyvs.item (yyvsp - 4)), yytype34 (yyvs.item (yyvsp - 3)))) 
			yyval := yyval27
when 69 then
--|#line 327

yyval27 := yytype27 (yyvs.item (yyvsp)); yyval27.put_first (new_parent (yytype5 (yyvs.item (yyvsp - 7)), yytype11 (yyvs.item (yyvsp - 6)), Void, Void, yytype34 (yyvs.item (yyvsp - 5)), yytype34 (yyvs.item (yyvsp - 4)), yytype34 (yyvs.item (yyvsp - 3)))) 
			yyval := yyval27
when 70 then
--|#line 330

yyval27 := yytype27 (yyvs.item (yyvsp)); yyval27.put_first (new_parent (yytype5 (yyvs.item (yyvsp - 6)), yytype11 (yyvs.item (yyvsp - 5)), Void, Void, Void, yytype34 (yyvs.item (yyvsp - 4)), yytype34 (yyvs.item (yyvsp - 3)))) 
			yyval := yyval27
when 71 then
--|#line 333

yyval27 := yytype27 (yyvs.item (yyvsp)); yyval27.put_first (new_parent (yytype5 (yyvs.item (yyvsp - 5)), yytype11 (yyvs.item (yyvsp - 4)), Void, Void, Void, Void, yytype34 (yyvs.item (yyvsp - 3)))) 
			yyval := yyval27
when 72 then
--|#line 336

yyval27 := yytype27 (yyvs.item (yyvsp)); yyval27.put_first (new_parent (yytype5 (yyvs.item (yyvsp - 4)), yytype11 (yyvs.item (yyvsp - 3)), Void, Void, Void, Void, Void)) 
			yyval := yyval27
when 73 then
--|#line 339

yyval27 := yytype27 (yyvs.item (yyvsp)); yyval27.put_first (new_parent (yytype5 (yyvs.item (yyvsp - 3)), yytype11 (yyvs.item (yyvsp - 2)), Void, Void, Void, Void, Void)) 
			yyval := yyval27
when 79 then
--|#line 364

yyval35 := yytype35 (yyvs.item (yyvsp)) 
			yyval := yyval35
when 80 then
--|#line 368

			yyval35 := new_rename_list (rename_list_count)
			rename_list_count := rename_list_count - 1
			yyval35.put (yytype30 (yyvs.item (yyvsp)), rename_list_count)
		
			yyval := yyval35
when 81 then
--|#line 374

			yyval35 := yytype35 (yyvs.item (yyvsp))
			rename_list_count := rename_list_count - 1
			yyval35.put (yytype30 (yyvs.item (yyvsp - 2)), rename_list_count)
		
			yyval := yyval35
when 82 then
--|#line 382

			yyval30 := new_rename (yytype19 (yyvs.item (yyvsp - 2)), yytype19 (yyvs.item (yyvsp)))
			rename_list_count := rename_list_count + 1
		
			yyval := yyval30
when 96 then
--|#line 416

			yyval34 := new_feature_list (feature_list_count)
			feature_list_count := feature_list_count - 1
			yyval34.put (yytype19 (yyvs.item (yyvsp)), feature_list_count)
		
			yyval := yyval34
when 97 then
--|#line 422

			yyval34 := yytype34 (yyvs.item (yyvsp))
			feature_list_count := feature_list_count - 1
			yyval34.put (yytype19 (yyvs.item (yyvsp - 2)), feature_list_count)
		
			yyval := yyval34
when 98 then
--|#line 430

			yyval19 := yytype19 (yyvs.item (yyvsp))
			feature_list_count := feature_list_count + 1
		
			yyval := yyval19
when 99 then
--|#line 439

yyval15 := yytype15 (yyvs.item (yyvsp - 1)) 
			yyval := yyval15
when 100 then
--|#line 441

yyval15 := new_none_clients 
			yyval := yyval15
when 101 then
--|#line 445

yyval15 := new_any_clients 
			yyval := yyval15
when 102 then
--|#line 447

yyval15 := yytype15 (yyvs.item (yyvsp)) 
			yyval := yyval15
when 103 then
--|#line 451

yyval15 := new_clients (new_client (yytype5 (yyvs.item (yyvsp)))) 
			yyval := yyval15
when 104 then
--|#line 453

yyval15 := new_clients (new_client (yytype5 (yyvs.item (yyvsp - 1)))) 
			yyval := yyval15
when 105 then
--|#line 455

yyval15 := yytype15 (yyvs.item (yyvsp)); yyval15.put_first (new_client (yytype5 (yyvs.item (yyvsp - 2)))) 
			yyval := yyval15
when 106 then
--|#line 457

yyval15 := yytype15 (yyvs.item (yyvsp)); yyval15.put_first (new_client (yytype5 (yyvs.item (yyvsp - 1)))) 
			yyval := yyval15
when 108 then
--|#line 465

yyval34 := yytype34 (yyvs.item (yyvsp)) 
			yyval := yyval34
when 110 then
--|#line 471

yyval34 := yytype34 (yyvs.item (yyvsp)) 
			yyval := yyval34
when 112 then
--|#line 477

yyval34 := yytype34 (yyvs.item (yyvsp)) 
			yyval := yyval34
when 114 then
--|#line 483

yyval34 := yytype34 (yyvs.item (yyvsp)) 
			yyval := yyval34
when 116 then
--|#line 489

yyval34 := yytype34 (yyvs.item (yyvsp)) 
			yyval := yyval34
when 118 then
--|#line 495

yyval34 := yytype34 (yyvs.item (yyvsp)) 
			yyval := yyval34
when 139 then
--|#line 547

yyval18 := yytype18 (yyvs.item (yyvsp)); register_feature (yyval18) 
			yyval := yyval18
when 140 then
--|#line 549

yyval18 := yytype18 (yyvs.item (yyvsp)); register_frozen_feature (yyval18) 
			yyval := yyval18
when 141 then
--|#line 551

yyval18 := new_synonym_feature (yytype19 (yyvs.item (yyvsp - 2)), yytype18 (yyvs.item (yyvsp))); register_feature (yyval18) 
			yyval := yyval18
when 142 then
--|#line 553

yyval18 := new_synonym_feature (yytype19 (yyvs.item (yyvsp - 2)), yytype18 (yyvs.item (yyvsp))); register_frozen_feature (yyval18) 
			yyval := yyval18
when 145 then
--|#line 561

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 146 then
--|#line 563

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 147 then
--|#line 565

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 148 then
--|#line 567

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 149 then
--|#line 569

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 150 then
--|#line 571

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 151 then
--|#line 573

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 152 then
--|#line 575

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 153 then
--|#line 577

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 154 then
--|#line 579

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 155 then
--|#line 581

yyval18 := yytype18 (yyvs.item (yyvsp)) 
			yyval := yyval18
when 156 then
--|#line 585

yyval18 := new_attribute (yytype19 (yyvs.item (yyvsp - 3)), yytype20 (yyvs.item (yyvsp - 2)), yytype31 (yyvs.item (yyvsp))) 
			yyval := yyval18
when 157 then
--|#line 589

yyval18 := new_constant_attribute (yytype19 (yyvs.item (yyvsp - 5)), yytype20 (yyvs.item (yyvsp - 4)), yytype31 (yyvs.item (yyvsp - 2)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 158 then
--|#line 593

yyval18 := new_unique_attribute (yytype19 (yyvs.item (yyvsp - 5)), yytype20 (yyvs.item (yyvsp - 4)), yytype31 (yyvs.item (yyvsp - 2))) 
			yyval := yyval18
when 159 then
--|#line 597

yyval18 := new_do_procedure (yytype19 (yyvs.item (yyvsp - 10)), yytype20 (yyvs.item (yyvsp - 9)), yytype7 (yyvs.item (yyvsp - 7)), yytype29 (yyvs.item (yyvsp - 6)), yytype25 (yyvs.item (yyvsp - 5)), yytype16 (yyvs.item (yyvsp - 3)), yytype28 (yyvs.item (yyvsp - 2)), yytype16 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 160 then
--|#line 603

yyval18 := new_once_procedure (yytype19 (yyvs.item (yyvsp - 10)), yytype20 (yyvs.item (yyvsp - 9)), yytype7 (yyvs.item (yyvsp - 7)), yytype29 (yyvs.item (yyvsp - 6)), yytype25 (yyvs.item (yyvsp - 5)), yytype16 (yyvs.item (yyvsp - 3)), yytype28 (yyvs.item (yyvsp - 2)), yytype16 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 161 then
--|#line 609

yyval18 := new_deferred_procedure (yytype19 (yyvs.item (yyvsp - 7)), yytype20 (yyvs.item (yyvsp - 6)), yytype7 (yyvs.item (yyvsp - 4)), yytype29 (yyvs.item (yyvsp - 3)), yytype28 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 162 then
--|#line 614

yyval18 := new_external_procedure (yytype19 (yyvs.item (yyvsp - 9)), yytype20 (yyvs.item (yyvsp - 8)), yytype7 (yyvs.item (yyvsp - 6)), yytype29 (yyvs.item (yyvsp - 5)), yytype7 (yyvs.item (yyvsp - 3)), yytype7 (yyvs.item (yyvsp - 2)), yytype28 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 163 then
--|#line 620

yyval18 := new_do_function (yytype19 (yyvs.item (yyvsp - 12)), yytype20 (yyvs.item (yyvsp - 11)), yytype31 (yyvs.item (yyvsp - 9)), yytype7 (yyvs.item (yyvsp - 7)), yytype29 (yyvs.item (yyvsp - 6)), yytype25 (yyvs.item (yyvsp - 5)), yytype16 (yyvs.item (yyvsp - 3)), yytype28 (yyvs.item (yyvsp - 2)), yytype16 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 164 then
--|#line 626

yyval18 := new_once_function (yytype19 (yyvs.item (yyvsp - 12)), yytype20 (yyvs.item (yyvsp - 11)), yytype31 (yyvs.item (yyvsp - 9)), yytype7 (yyvs.item (yyvsp - 7)), yytype29 (yyvs.item (yyvsp - 6)), yytype25 (yyvs.item (yyvsp - 5)), yytype16 (yyvs.item (yyvsp - 3)), yytype28 (yyvs.item (yyvsp - 2)), yytype16 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 165 then
--|#line 632

yyval18 := new_deferred_function (yytype19 (yyvs.item (yyvsp - 9)), yytype20 (yyvs.item (yyvsp - 8)), yytype31 (yyvs.item (yyvsp - 6)), yytype7 (yyvs.item (yyvsp - 4)), yytype29 (yyvs.item (yyvsp - 3)), yytype28 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 166 then
--|#line 637

yyval18 := new_external_function (yytype19 (yyvs.item (yyvsp - 11)), yytype20 (yyvs.item (yyvsp - 10)), yytype31 (yyvs.item (yyvsp - 8)), yytype7 (yyvs.item (yyvsp - 6)), yytype29 (yyvs.item (yyvsp - 5)), yytype7 (yyvs.item (yyvsp - 3)), yytype7 (yyvs.item (yyvsp - 2)), yytype28 (yyvs.item (yyvsp - 1))) 
			yyval := yyval18
when 168 then
--|#line 645

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 169 then
--|#line 651

yyval19 := yytype5 (yyvs.item (yyvsp)) 
			yyval := yyval19
when 170 then
--|#line 653

yyval19 := new_prefix_not (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 171 then
--|#line 655

yyval19 := new_prefix_plus (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 172 then
--|#line 657

yyval19 := new_prefix_minus (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 173 then
--|#line 659

yyval19 := new_prefix_freeop (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 174 then
--|#line 661

yyval19 := new_infix_plus (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 175 then
--|#line 663

yyval19 := new_infix_minus (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 176 then
--|#line 665

yyval19 := new_infix_times (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 177 then
--|#line 667

yyval19 := new_infix_divide (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 178 then
--|#line 669

yyval19 := new_infix_div (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 179 then
--|#line 671

yyval19 := new_infix_mod (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 180 then
--|#line 673

yyval19 := new_infix_power (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 181 then
--|#line 675

yyval19 := new_infix_lt (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 182 then
--|#line 677

yyval19 := new_infix_le (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 183 then
--|#line 679

yyval19 := new_infix_gt (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 184 then
--|#line 681

yyval19 := new_infix_ge (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 185 then
--|#line 683

yyval19 := new_infix_and (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 186 then
--|#line 685

yyval19 := new_infix_and_then (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 187 then
--|#line 687

yyval19 := new_infix_or (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 188 then
--|#line 689

yyval19 := new_infix_or_else (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 189 then
--|#line 691

yyval19 := new_infix_implies (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 190 then
--|#line 693

yyval19 := new_infix_xor (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 191 then
--|#line 695

yyval19 := new_infix_freeop (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 192 then
--|#line 698

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 193 then
--|#line 700

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 194 then
--|#line 702

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 195 then
--|#line 704

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 196 then
--|#line 706

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 197 then
--|#line 708

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 198 then
--|#line 710

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 199 then
--|#line 712

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 200 then
--|#line 714

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 201 then
--|#line 716

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 202 then
--|#line 718

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 203 then
--|#line 720

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 204 then
--|#line 722

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 205 then
--|#line 724

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 206 then
--|#line 726

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 207 then
--|#line 728

yyval19 := new_invalid_prefix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 208 then
--|#line 730

yyval19 := new_invalid_infix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 209 then
--|#line 732

yyval19 := new_invalid_infix (yytype7 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval19
when 212 then
--|#line 742

yyval20 := yytype20 (yyvs.item (yyvsp - 1)) 
			yyval := yyval20
when 213 then
--|#line 746

yyval20 := new_formal_arguments (yytype5 (yyvs.item (yyvsp - 2)), yytype31 (yyvs.item (yyvsp))) 
			yyval := yyval20
when 214 then
--|#line 748

yyval20 := new_formal_arguments (yytype5 (yyvs.item (yyvsp - 3)), yytype31 (yyvs.item (yyvsp - 1))) 
			yyval := yyval20
when 215 then
--|#line 750

yyval20 := yytype20 (yyvs.item (yyvsp)); yyval20.put_name_first (yytype5 (yyvs.item (yyvsp - 2))) 
			yyval := yyval20
when 216 then
--|#line 752

yyval20 := yytype20 (yyvs.item (yyvsp)); yyval20.put_name_first (yytype5 (yyvs.item (yyvsp - 1))) 
			yyval := yyval20
when 217 then
--|#line 754

yyval20 := yytype20 (yyvs.item (yyvsp)); yyval20.put_first (yytype5 (yyvs.item (yyvsp - 4)), yytype31 (yyvs.item (yyvsp - 2))) 
			yyval := yyval20
when 218 then
--|#line 756

yyval20 := yytype20 (yyvs.item (yyvsp)); yyval20.put_first (yytype5 (yyvs.item (yyvsp - 3)), yytype31 (yyvs.item (yyvsp - 1))) 
			yyval := yyval20
when 221 then
--|#line 766

yyval25 := yytype25 (yyvs.item (yyvsp)) 
			yyval := yyval25
when 222 then
--|#line 770

yyval25 := new_local_variables (yytype5 (yyvs.item (yyvsp - 2)), yytype31 (yyvs.item (yyvsp))) 
			yyval := yyval25
when 223 then
--|#line 772

yyval25 := new_local_variables (yytype5 (yyvs.item (yyvsp - 3)), yytype31 (yyvs.item (yyvsp - 1))) 
			yyval := yyval25
when 224 then
--|#line 774

yyval25 := yytype25 (yyvs.item (yyvsp)); yyval25.put_name_first (yytype5 (yyvs.item (yyvsp - 2))) 
			yyval := yyval25
when 225 then
--|#line 776

yyval25 := yytype25 (yyvs.item (yyvsp)); yyval25.put_name_first (yytype5 (yyvs.item (yyvsp - 1))) 
			yyval := yyval25
when 226 then
--|#line 778

yyval25 := yytype25 (yyvs.item (yyvsp)); yyval25.put_first (yytype5 (yyvs.item (yyvsp - 4)), yytype31 (yyvs.item (yyvsp - 2))) 
			yyval := yyval25
when 227 then
--|#line 780

yyval25 := yytype25 (yyvs.item (yyvsp)); yyval25.put_first (yytype5 (yyvs.item (yyvsp - 3)), yytype31 (yyvs.item (yyvsp - 1))) 
			yyval := yyval25
when 229 then
--|#line 788

yyval29 := new_preconditions (new_comment_assertion (Void)) 
			yyval := yyval29
when 230 then
--|#line 790

yyval29 := yytype29 (yyvs.item (yyvsp)) 
			yyval := yyval29
when 231 then
--|#line 792

yyval29 := new_preconditions (new_comment_assertion (Void)); yyval29.set_require_else 
			yyval := yyval29
when 232 then
--|#line 794

yyval29 := yytype29 (yyvs.item (yyvsp)); yyval29.set_require_else 
			yyval := yyval29
when 234 then
--|#line 800

yyval28 := new_postconditions (new_comment_assertion (Void)) 
			yyval := yyval28
when 235 then
--|#line 802

yyval28 := yytype28 (yyvs.item (yyvsp)) 
			yyval := yyval28
when 236 then
--|#line 804

yyval28 := new_postconditions (new_comment_assertion (Void)); yyval28.set_ensure_then 
			yyval := yyval28
when 237 then
--|#line 806

yyval28 := yytype28 (yyvs.item (yyvsp)); yyval28.set_ensure_then 
			yyval := yyval28
when 240 then
--|#line 814

yyval13 := yytype13 (yyvs.item (yyvsp)) 
			yyval := yyval13
when 241 then
--|#line 818

yyval13 := new_assertions (yytype12 (yyvs.item (yyvsp))) 
			yyval := yyval13
when 242 then
--|#line 820

yyval13 := new_assertions (yytype12 (yyvs.item (yyvsp - 1))) 
			yyval := yyval13
when 243 then
--|#line 822

yyval13 := yytype13 (yyvs.item (yyvsp)); yyval13.put_first (yytype12 (yyvs.item (yyvsp - 1))) 
			yyval := yyval13
when 244 then
--|#line 824

yyval13 := yytype13 (yyvs.item (yyvsp)); yyval13.put_first (yytype12 (yyvs.item (yyvsp - 2))) 
			yyval := yyval13
when 245 then
--|#line 828

yyval29 := new_preconditions (yytype12 (yyvs.item (yyvsp))) 
			yyval := yyval29
when 246 then
--|#line 830

yyval29 := new_preconditions (yytype12 (yyvs.item (yyvsp - 1))) 
			yyval := yyval29
when 247 then
--|#line 832

yyval29 := yytype29 (yyvs.item (yyvsp)); yyval29.put_first (yytype12 (yyvs.item (yyvsp - 1))) 
			yyval := yyval29
when 248 then
--|#line 834

yyval29 := yytype29 (yyvs.item (yyvsp)); yyval29.put_first (yytype12 (yyvs.item (yyvsp - 2))) 
			yyval := yyval29
when 249 then
--|#line 838

yyval28 := new_postconditions (yytype12 (yyvs.item (yyvsp))) 
			yyval := yyval28
when 250 then
--|#line 840

yyval28 := new_postconditions (yytype12 (yyvs.item (yyvsp - 1))) 
			yyval := yyval28
when 251 then
--|#line 842

yyval28 := yytype28 (yyvs.item (yyvsp)); yyval28.put_first (yytype12 (yyvs.item (yyvsp - 1))) 
			yyval := yyval28
when 252 then
--|#line 844

yyval28 := yytype28 (yyvs.item (yyvsp)); yyval28.put_first (yytype12 (yyvs.item (yyvsp - 2))) 
			yyval := yyval28
when 253 then
--|#line 848

yyval12 := new_expression_assertion (Void, yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval12
when 254 then
--|#line 853

yyval12 := new_comment_assertion (yytype5 (yyvs.item (yyvsp - 1))) 
			yyval := yyval12
when 256 then
--|#line 862

yyval16 := yytype16 (yyvs.item (yyvsp)) 
			yyval := yyval16
when 257 then
--|#line 868

yyval31 := yytype26 (yyvs.item (yyvsp)) 
			yyval := yyval31
when 258 then
--|#line 870

yyval31 := yytype26 (yyvs.item (yyvsp)) 
			yyval := yyval31
when 259 then
--|#line 873

yyval31 := yytype26 (yyvs.item (yyvsp)) 
			yyval := yyval31
when 260 then
--|#line 876

yyval31 := new_like_current (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval31
when 261 then
--|#line 878

yyval31 := new_like_identifier (yytype5 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval31
when 262 then
--|#line 880

yyval31 := new_bit_type (yytype6 (yyvs.item (yyvsp)), yytype5 (yyvs.item (yyvsp - 1)).position) 
			yyval := yyval31
when 263 then
--|#line 882

yyval31 := new_bit_identifier (yytype5 (yyvs.item (yyvsp)), yytype5 (yyvs.item (yyvsp - 1)).position)  
			yyval := yyval31
when 264 then
--|#line 886

yyval26 := new_named_type (yytype5 (yyvs.item (yyvsp - 1)), yytype11 (yyvs.item (yyvsp))) 
			yyval := yyval26
when 265 then
--|#line 890

yyval5 := yytype5 (yyvs.item (yyvsp)) 
			yyval := yyval5
when 268 then
--|#line 899

yyval11 := yytype11 (yyvs.item (yyvsp - 1)) 
			yyval := yyval11
when 269 then
--|#line 903

yyval11 := new_actual_generics (yytype31 (yyvs.item (yyvsp))) 
			yyval := yyval11
when 270 then
--|#line 905

			yyval11 := yytype11 (yyvs.item (yyvsp - 2))
			yyval11.put (yytype31 (yyvs.item (yyvsp)))
		
			yyval := yyval11
when 272 then
--|#line 916

yyval16 := yytype16 (yyvs.item (yyvsp)) 
			yyval := yyval16
when 273 then
--|#line 920

yyval16 := new_compound (yytype24 (yyvs.item (yyvsp - 1))) 
			yyval := yyval16
when 274 then
--|#line 922

yyval16 := yytype16 (yyvs.item (yyvsp)); yyval16.add_instruction (yytype24 (yyvs.item (yyvsp - 1))) 
			yyval := yyval16
when 275 then
--|#line 926

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 276 then
--|#line 928

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 277 then
--|#line 930

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 278 then
--|#line 932

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 279 then
--|#line 934

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 280 then
--|#line 936

yyval24 := yytype23 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 281 then
--|#line 938

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 282 then
--|#line 940

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 283 then
--|#line 942

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 284 then
--|#line 944

yyval24 := yytype24 (yyvs.item (yyvsp)) 
			yyval := yyval24
when 285 then
--|#line 946

yyval24 := new_retry_instruction 
			yyval := yyval24
when 290 then
--|#line 960

yyval24 := new_creation_instruction (yytype31 (yyvs.item (yyvsp - 3)), yytype32 (yyvs.item (yyvsp - 1)), yyvs.item (yyvsp)) 
			yyval := yyval24
when 291 then
--|#line 962

yyval24 := new_creation_instruction (Void, yytype32 (yyvs.item (yyvsp - 1)), yyvs.item (yyvsp)) 
			yyval := yyval24
when 294 then
--|#line 970

yyval24 := new_creation_instruction (yytype31 (yyvs.item (yyvsp - 3)), yytype32 (yyvs.item (yyvsp - 1)), yyvs.item (yyvsp)) 
			yyval := yyval24
when 295 then
--|#line 972

yyval24 := new_creation_instruction (Void, yytype32 (yyvs.item (yyvsp - 1)), yyvs.item (yyvsp)) 
			yyval := yyval24
when 297 then
--|#line 981

yyval24 := new_assignment (yytype32 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval24
when 298 then
--|#line 985

yyval24 := new_assignment_attempt (yytype32 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval24
when 299 then
--|#line 991

yyval23 := yytype23 (yyvs.item (yyvsp - 1)) 
			yyval := yyval23
when 300 then
--|#line 993

yyval23 := yytype23 (yyvs.item (yyvsp - 2)); yyval23.set_else_part (yytype16 (yyvs.item (yyvsp - 1))) 
			yyval := yyval23
when 301 then
--|#line 997

yyval16 := yytype16 (yyvs.item (yyvsp)) 
			yyval := yyval16
when 302 then
--|#line 1001

yyval23 := new_if_instruction (yytype17 (yyvs.item (yyvsp - 2)), yytype16 (yyvs.item (yyvsp))) 
			yyval := yyval23
when 303 then
--|#line 1003

yyval23 := yytype23 (yyvs.item (yyvsp - 4)); yyval23.add_conditional (yytype17 (yyvs.item (yyvsp - 2)), yytype16 (yyvs.item (yyvsp))) 
			yyval := yyval23
when 304 then
--|#line 1009

yyval24 := new_inspect_instruction 
			yyval := yyval24
when 305 then
--|#line 1011

yyval24 := new_inspect_instruction 
			yyval := yyval24
when 318 then
--|#line 1042

yyval24 := new_loop_instruction 
			yyval := yyval24
when 323 then
--|#line 1055

yyval24 := new_debug_instruction 
			yyval := yyval24
when 329 then
--|#line 1070

yyval24 := new_check_instruction 
			yyval := yyval24
when 330 then
--|#line 1072

yyval24 := new_check_instruction 
			yyval := yyval24
when 331 then
--|#line 1078

yyval24 := new_call_instruction (Void, yytype5 (yyvs.item (yyvsp - 1)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval24
when 332 then
--|#line 1080

yyval24 := new_call_instruction (yytype17 (yyvs.item (yyvsp - 2)), yytype5 (yyvs.item (yyvsp - 1)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval24
when 333 then
--|#line 1082

yyval24 := new_precursor_instruction (Void, yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval24
when 334 then
--|#line 1084

yyval24 := new_precursor_instruction (yytype5 (yyvs.item (yyvsp - 2)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval24
when 335 then
--|#line 1086

yyval24 := new_precursor_instruction (yytype5 (yyvs.item (yyvsp - 3)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval24
when 336 then
--|#line 1090

yyval17 := new_call_expression (Void, yytype5 (yyvs.item (yyvsp - 1)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 337 then
--|#line 1092

yyval17 := new_call_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype5 (yyvs.item (yyvsp - 1)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 338 then
--|#line 1094

yyval17 := new_precursor_expression (Void, yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 339 then
--|#line 1096

yyval17 := new_precursor_expression (yytype5 (yyvs.item (yyvsp - 2)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 340 then
--|#line 1098

yyval17 := new_precursor_expression (yytype5 (yyvs.item (yyvsp - 3)), yytype10 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 341 then
--|#line 1102

yyval17 := new_call_expression (Void, yytype5 (yyvs.item (yyvsp - 2)), yytype10 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 342 then
--|#line 1104

yyval17 := new_result (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 343 then
--|#line 1106

yyval17 := new_current (yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 344 then
--|#line 1108

yyval17 := yytype17 (yyvs.item (yyvsp - 2)) 
			yyval := yyval17
when 345 then
--|#line 1110

yyval17 := new_precursor_expression (Void, yytype10 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 346 then
--|#line 1112

yyval17 := new_precursor_expression (yytype5 (yyvs.item (yyvsp - 3)), yytype10 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 347 then
--|#line 1114

yyval17 := new_precursor_expression (yytype5 (yyvs.item (yyvsp - 4)), yytype10 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 348 then
--|#line 1116

yyval17 := new_call_expression (yytype17 (yyvs.item (yyvsp - 3)), yytype5 (yyvs.item (yyvsp - 2)), yytype10 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 351 then
--|#line 1126

yyval10 := yytype10 (yyvs.item (yyvsp - 1)) 
			yyval := yyval10
when 352 then
--|#line 1130

yyval10 := new_actual_arguments (yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval10
when 353 then
--|#line 1132

yyval10 := yytype10 (yyvs.item (yyvsp)); yyval10.add_argument (yytype17 (yyvs.item (yyvsp - 2))) 
			yyval := yyval10
when 354 then
--|#line 1136

yyval17 := new_feature_address 
			yyval := yyval17
when 355 then
--|#line 1138

yyval17 := new_current_address 
			yyval := yyval17
when 356 then
--|#line 1140

yyval17 := new_result_address 
			yyval := yyval17
when 357 then
--|#line 1145

yyval17 := new_expression_address (yytype17 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 358 then
--|#line 1149

yyval32 := yytype5 (yyvs.item (yyvsp)) 
			yyval := yyval32
when 359 then
--|#line 1151

yyval32 := new_result (yytype1 (yyvs.item (yyvsp))) 
			yyval := yyval32
when 360 then
--|#line 1157

yyval17 := yytype17 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 361 then
--|#line 1159

yyval17 := yytype17 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 362 then
--|#line 1161

yyval17 := new_result (yytype1 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 363 then
--|#line 1163

yyval17 := new_current (yytype1 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 364 then
--|#line 1165

yyval17 := yytype17 (yyvs.item (yyvsp - 1)) 
			yyval := yyval17
when 365 then
--|#line 1167

yyval17 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 366 then
--|#line 1169

yyval17 := yytype4 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 367 then
--|#line 1171

yyval17 := yytype6 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 368 then
--|#line 1173

yyval17 := yytype8 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 369 then
--|#line 1175

yyval17 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 370 then
--|#line 1177

yyval17 := yytype2 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 371 then
--|#line 1179

yyval17 := new_manifest_array 
			yyval := yyval17
when 373 then
--|#line 1184

yyval17 := new_prefix_plus_expression (yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 374 then
--|#line 1186

yyval17 := new_prefix_minus_expression (yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 375 then
--|#line 1188

yyval17 := new_prefix_not_expression (yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 376 then
--|#line 1190

yyval17 := new_prefix_freeop_expression (yytype9 (yyvs.item (yyvsp - 1)), yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 377 then
--|#line 1192

yyval17 := new_infix_freeop_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype9 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 378 then
--|#line 1194

yyval17 := new_infix_plus_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 379 then
--|#line 1196

yyval17 := new_infix_minus_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 380 then
--|#line 1198

yyval17 := new_infix_times_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 381 then
--|#line 1200

yyval17 := new_infix_divide_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 382 then
--|#line 1202

yyval17 := new_infix_power_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 383 then
--|#line 1204

yyval17 := new_infix_div_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 384 then
--|#line 1206

yyval17 := new_infix_mod_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 385 then
--|#line 1208

yyval17 := new_equal_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 386 then
--|#line 1210

yyval17 := new_not_equal_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 387 then
--|#line 1212

yyval17 := new_infix_lt_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 388 then
--|#line 1214

yyval17 := new_infix_gt_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 389 then
--|#line 1216

yyval17 := new_infix_le_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 390 then
--|#line 1218

yyval17 := new_infix_ge_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 391 then
--|#line 1220

yyval17 := new_infix_and_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 392 then
--|#line 1222

yyval17 := new_infix_or_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 393 then
--|#line 1224

yyval17 := new_infix_xor_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 394 then
--|#line 1226

yyval17 := new_infix_and_then_expression (yytype17 (yyvs.item (yyvsp - 3)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 2))) 
			yyval := yyval17
when 395 then
--|#line 1228

yyval17 := new_infix_or_else_expression (yytype17 (yyvs.item (yyvsp - 3)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 2))) 
			yyval := yyval17
when 396 then
--|#line 1230

yyval17 := new_infix_implies_expression (yytype17 (yyvs.item (yyvsp - 2)), yytype17 (yyvs.item (yyvsp)), yytype1 (yyvs.item (yyvsp - 1))) 
			yyval := yyval17
when 397 then
--|#line 1232

yyval17 := new_old_expression (yytype17 (yyvs.item (yyvsp))) 
			yyval := yyval17
when 398 then
--|#line 1234

yyval17 := new_strip_expression 
			yyval := yyval17
when 399 then
--|#line 1236

yyval17 := yytype17 (yyvs.item (yyvsp)) 
			yyval := yyval17
when 412 then
--|#line 1258

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 413 then
--|#line 1260

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 414 then
--|#line 1262

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 415 then
--|#line 1264

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 416 then
--|#line 1266

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 417 then
--|#line 1268

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 418 then
--|#line 1270

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 419 then
--|#line 1272

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 420 then
--|#line 1274

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 421 then
--|#line 1276

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 422 then
--|#line 1278

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 423 then
--|#line 1280

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 424 then
--|#line 1282

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 425 then
--|#line 1284

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 426 then
--|#line 1286

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 427 then
--|#line 1288

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 428 then
--|#line 1290

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 429 then
--|#line 1292

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 430 then
--|#line 1294

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 431 then
--|#line 1296

yyval7 := yytype7 (yyvs.item (yyvsp)) 
			yyval := yyval7
when 432 then
--|#line 1298

abort 
			yyval := yyval7
when 433 then
--|#line 1302

yyval4 := yytype4 (yyvs.item (yyvsp)) 
			yyval := yyval4
when 434 then
--|#line 1304

abort 
			yyval := yyval4
when 435 then
--|#line 1308

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 436 then
--|#line 1310

yyval3 := yytype3 (yyvs.item (yyvsp)) 
			yyval := yyval3
when 437 then
--|#line 1314

yyval6 := yytype6 (yyvs.item (yyvsp)) 
			yyval := yyval6
when 438 then
--|#line 1316

yyval6 := yytype6 (yyvs.item (yyvsp)); yyval6.set_negative 
			yyval := yyval6
when 439 then
--|#line 1318

yyval6 := yytype6 (yyvs.item (yyvsp)) 
			yyval := yyval6
when 440 then
--|#line 1322

yyval8 := yytype8 (yyvs.item (yyvsp)) 
			yyval := yyval8
when 441 then
--|#line 1324

yyval8 := yytype8 (yyvs.item (yyvsp)); yyval8.set_negative 
			yyval := yyval8
when 442 then
--|#line 1326

yyval8 := yytype8 (yyvs.item (yyvsp)) 
			yyval := yyval8
when 443 then
--|#line 1330

yyval5 := yytype5 (yyvs.item (yyvsp)) 
			yyval := yyval5
when 444 then
--|#line 1332

				-- TO DO: reserved word `BIT'
			yyval5 := yytype5 (yyvs.item (yyvsp))
		
			yyval := yyval5
			else
					-- No action
				yyval := yyval_default
			end
		end

feature {NONE} -- Table templates

	yytranslate_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,  120,    2,    2,  122,    2,    2,    2,
			  118,  119,  104,  102,  112,  103,  121,  105,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,  111,  115,
			   98,   96,   99,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,  113,    2,  114,  108,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,  116,    2,  117,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    1,    2,    3,    4,
			    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,
			   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,
			   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,
			   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,

			   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,
			   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,
			   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,
			   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,
			   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,
			   95,   97,  100,  101,  106,  107,  109,  110>>)
		end

	yyr1_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,  212,  213,  216,  216,  215,  215,  219,  219,  220,
			  221,  214,  214,  222,  222,  223,  223,  225,  225,  226,
			  226,  227,  227,  227,  227,  227,  227,  227,  134,  134,
			  134,  134,  165,  165,  165,  166,  166,  164,  164,  228,
			  228,  198,  198,  198,  198,  198,  198,  198,  188,  127,
			  127,  127,  128,  128,  184,  184,  190,  190,  189,  189,
			  189,  189,  189,  189,  189,  189,  189,  189,  189,  189,
			  189,  189,  189,  189,  230,  230,  231,  231,  210,  210,
			  211,  211,  196,  200,  201,  201,  202,  202,  202,  232,
			  232,  232,  233,  234,  234,  234,  203,  203,  161,  135,

			  135,  136,  136,  137,  137,  137,  137,  208,  208,  209,
			  209,  206,  206,  207,  207,  204,  204,  205,  205,  217,
			  217,  235,  235,  236,  236,  229,  229,  229,  218,  218,
			  237,  237,  238,  239,  239,  239,  240,  240,  240,  147,
			  147,  147,  147,  241,  241,  148,  148,  148,  148,  148,
			  148,  148,  148,  148,  148,  148,  149,  150,  151,  152,
			  153,  154,  155,  156,  157,  158,  159,  186,  186,  160,
			  160,  160,  160,  160,  160,  160,  160,  160,  160,  160,
			  160,  160,  160,  160,  160,  160,  160,  160,  160,  160,
			  160,  160,  160,  160,  160,  160,  160,  160,  160,  160,

			  160,  160,  160,  160,  160,  160,  160,  160,  160,  160,
			  162,  162,  162,  163,  163,  163,  163,  163,  163,  182,
			  182,  182,  183,  183,  183,  183,  183,  183,  194,  194,
			  194,  194,  194,  192,  192,  192,  192,  192,  131,  131,
			  131,  130,  130,  130,  130,  193,  193,  193,  193,  191,
			  191,  191,  191,  129,  129,  141,  141,  197,  197,  197,
			  197,  197,  197,  197,  187,  168,  125,  125,  125,  126,
			  126,  138,  138,  139,  139,  171,  171,  171,  171,  171,
			  171,  171,  171,  171,  171,  171,  243,  243,  224,  224,
			  172,  172,  244,  244,  180,  180,  146,  173,  174,  169,

			  169,  140,  170,  170,  176,  176,  245,  245,  246,  246,
			  247,  247,  247,  248,  248,  249,  249,  249,  177,  250,
			  250,  250,  250,  178,  251,  251,  252,  252,  252,  179,
			  179,  175,  175,  175,  175,  175,  143,  143,  143,  143,
			  143,  144,  144,  144,  144,  144,  144,  144,  144,  123,
			  123,  123,  124,  124,  145,  145,  145,  145,  199,  199,
			  142,  142,  142,  142,  142,  142,  142,  142,  142,  142,
			  142,  142,  142,  142,  142,  142,  142,  142,  142,  142,
			  142,  142,  142,  142,  142,  142,  142,  142,  142,  142,
			  142,  142,  142,  142,  142,  142,  142,  142,  142,  142,

			  254,  254,  254,  253,  253,  253,  242,  242,  242,  242,
			  242,  242,  185,  185,  185,  185,  185,  185,  185,  185,
			  185,  185,  185,  185,  185,  185,  185,  185,  185,  185,
			  185,  185,  185,  133,  133,  132,  132,  181,  181,  181,
			  195,  195,  195,  167,  167>>)
		end

	yyr2_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    0,    1,    2,    0,    1,    9,    4,    0,    1,    3,
			    2,    0,    2,    0,    2,    1,    3,    1,    3,    1,
			    3,    1,    1,    1,    1,    1,    1,    1,    2,    3,
			    3,    3,    0,    2,    3,    1,    3,    1,    4,    0,
			    3,    1,    2,    2,    2,    2,    2,    2,    2,    0,
			    2,    3,    1,    3,    0,    2,    5,    2,   13,   12,
			   11,   10,    9,    8,    7,    6,    5,   10,    9,    8,
			    7,    6,    5,    4,    0,    1,    0,    1,    1,    2,
			    1,    3,    3,    2,    0,    1,    0,    1,    2,    1,
			    2,    3,    2,    0,    1,    1,    1,    3,    1,    3,

			    2,    0,    1,    1,    2,    3,    2,    1,    2,    0,
			    1,    1,    2,    0,    1,    1,    2,    0,    1,    0,
			    1,    1,    2,    3,    3,    0,    1,    3,    0,    1,
			    1,    2,    3,    0,    1,    2,    1,    2,    3,    1,
			    2,    3,    4,    0,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    4,    6,    6,   11,
			   11,    8,   10,   13,   13,   10,   12,    0,    2,    1,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,

			    2,    2,    2,    2,    2,    2,    2,    2,    2,    2,
			    0,    2,    3,    3,    4,    3,    2,    5,    4,    0,
			    1,    2,    3,    4,    3,    2,    5,    4,    0,    1,
			    2,    2,    3,    0,    1,    2,    2,    3,    0,    1,
			    2,    1,    2,    2,    3,    1,    2,    2,    3,    1,
			    2,    2,    3,    1,    2,    0,    2,    1,    2,    2,
			    2,    2,    2,    2,    2,    1,    0,    2,    3,    1,
			    3,    1,    1,    3,    3,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    0,    2,    0,    2,
			    5,    3,    0,    3,    6,    3,    5,    3,    3,    2,

			    3,    2,    4,    5,    5,    4,    0,    1,    4,    5,
			    0,    1,    3,    1,    3,    1,    1,    1,    9,    0,
			    1,    2,    4,    4,    0,    3,    0,    1,    3,    3,
			    2,    2,    3,    2,    5,    5,    2,    3,    2,    5,
			    5,    3,    2,    2,    4,    3,    6,    6,    4,    0,
			    2,    3,    1,    3,    2,    2,    2,    4,    1,    1,
			    1,    1,    1,    1,    3,    1,    1,    1,    1,    1,
			    1,    3,    3,    2,    2,    2,    2,    3,    3,    3,
			    3,    3,    3,    3,    3,    3,    3,    3,    3,    3,
			    3,    3,    3,    3,    4,    4,    3,    2,    4,    1,

			    0,    1,    3,    0,    1,    3,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    1,    1,
			    1,    1,    1,    1,    1,    1,    1,    1,    2,    2,
			    1,    2,    2,    1,    1>>)
		end

	yydefact_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			   11,   13,    1,    0,    0,    0,  432,  434,  440,  412,
			  431,  430,  429,  428,  427,  426,  425,  424,  423,  422,
			  421,  420,  419,  418,  417,  416,  415,  414,  413,  437,
			  444,  443,  433,  435,  436,   27,   22,   23,   21,   24,
			   26,   25,   12,  288,   15,   17,   19,    0,    0,    0,
			    0,   32,    2,  441,  438,  442,  439,    0,   14,    0,
			    0,    0,    0,   28,    0,   54,   21,   18,  289,   16,
			   20,   31,   30,   29,   33,   35,    0,   37,    0,  119,
			   34,    0,    0,   55,  119,  101,  101,    6,  128,  120,
			  121,   36,    0,  265,    0,    0,    0,   49,   41,   39,

			  266,   57,  128,   11,    0,  102,  125,  125,  101,  238,
			  129,  130,  122,    0,    0,   47,   46,   43,   44,   45,
			   42,    0,   48,  125,   38,    0,   76,  238,    0,  100,
			    0,  103,  126,  123,  124,  133,  239,   11,  131,   50,
			    0,   52,    0,  267,    0,    0,    0,    0,    0,  266,
			  257,  269,   77,  111,  115,   78,  107,   86,   76,  113,
			    0,  109,  117,   84,  119,    0,    9,   11,   99,  104,
			  106,    0,    0,    0,    0,  136,  139,  145,  146,  147,
			  148,  149,  150,  151,  152,  153,  154,  155,  210,  169,
			  132,  134,    0,    0,    0,  403,    0,    0,    0,    0,

			    0,  368,  367,  370,  349,  362,  363,    0,    0,  403,
			  241,  240,  365,  366,  253,  360,    0,  399,  361,  349,
			  369,    0,   51,    0,   40,  263,  262,  259,  260,  261,
			  258,  268,    0,  264,   98,   96,  112,  116,    0,   80,
			   79,  108,   93,   83,   87,   89,   13,    7,    0,  119,
			    0,  114,  109,   76,  110,  117,  118,    0,   85,  113,
			   11,   73,    4,   56,  105,  127,  192,  170,  173,  207,
			  206,  205,  204,  203,  202,  201,  200,  199,  198,  197,
			  196,  195,  194,  193,  172,  171,  208,  209,  191,  189,
			  188,  186,  190,  187,  185,  184,  183,  182,  181,  180,

			  179,  178,  177,  176,  175,  174,  140,  210,    0,  144,
			    0,    0,  135,  137,    0,  356,  355,  354,    0,  349,
			    0,  404,    0,  397,  375,  374,  373,  376,    0,    0,
			  338,  342,  343,  400,    0,    0,  242,  243,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,  349,  254,  336,   11,
			   53,  270,    0,    0,    0,   95,   94,   92,   88,   90,
			   12,    8,   66,   11,   11,   72,  117,  119,    0,    0,
			   76,  109,    0,    0,  211,    0,    0,    0,   54,  141,
			  138,    0,  364,    0,  372,    0,  350,    0,  352,    0,

			  345,  401,    0,    0,  371,  244,  382,  384,  383,  381,
			  380,  379,  378,  390,  389,  388,  387,  386,  385,    0,
			  391,  393,    0,  392,  396,  377,  337,  341,    5,   97,
			   82,   81,   91,   65,    0,    0,   11,   71,   76,  119,
			    0,  117,   11,  142,  212,    0,    0,  216,  156,  228,
			  357,  344,  349,  405,  351,    0,  349,  398,    0,  292,
			  394,  395,  348,   11,   76,    0,  119,    0,   11,   70,
			    0,   64,  215,  213,   54,  229,  219,  340,  353,  339,
			  402,    0,  296,   63,  119,    0,   11,   11,   69,    0,
			   76,  214,  218,  411,  158,  406,  407,  408,  228,  410,

			  409,  157,  231,  245,  230,  220,    0,  233,    0,  347,
			  346,  349,   11,   68,   62,    0,   11,  119,    0,  217,
			  219,  232,  246,  247,    0,  221,  167,  234,    0,  286,
			  286,  293,    0,   11,   61,   11,   67,    0,  233,    0,
			  248,    0,    0,  225,    0,  233,  236,  249,  235,  161,
			  233,  272,  271,  233,   11,   60,    0,  167,    0,  286,
			  286,  224,  222,  168,    0,  237,  250,  251,  255,    0,
			    0,    0,  287,  349,  359,    0,  285,    0,    0,  286,
			  324,    0,    0,    0,    0,  358,  280,    0,  286,  275,
			  278,  279,  277,  281,  282,  283,  284,  276,    0,  255,

			   59,   11,  233,  165,  233,  233,  223,  227,  162,  252,
			  286,    0,    0,    0,    0,    0,  333,  306,    0,  238,
			  326,  286,    0,  359,  358,  292,  330,    0,  292,  349,
			  331,  299,    0,  286,    0,  274,  273,    0,    0,    0,
			   58,    0,  255,  255,  226,  256,  160,    0,    0,    0,
			    0,  310,    0,  307,  286,  319,  327,    0,    0,    0,
			  295,  329,  291,  332,    0,  301,  300,  298,  297,  159,
			  166,    0,    0,  292,  349,  349,    0,  316,  317,  315,
			    0,  311,  313,  305,    0,  310,  302,  320,    0,  325,
			    0,  323,    0,  286,  164,  163,  290,  335,  334,    0,

			  286,    0,  304,    0,  321,  349,    0,  328,  292,  303,
			  312,  308,  314,  286,    0,    0,  294,  309,  322,  286,
			    0,  318,    0,    0,    0>>)
		end

	yydefgoto_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			  358,  397,  126,  148,  122,  140,  210,  211,  137,  212,
			  213,   51,  105,  106,  130,  550,  551,  634,  611,  214,
			  215,  216,  217,  218,  175,  176,  177,  178,  179,  180,
			  181,  182,  183,  184,  185,  186,  187,  188,  235,  310,
			  385,   75,   65,   76,  319,  149,  586,  587,  588,  589,
			  590,  591,  592,  593,  594,  595,  596,  597,   39,  508,
			  525,   79,  220,  545,  150,   98,  101,   87,  548,  528,
			  504,  476,   41,  239,  151,   99,  598,  159,  259,  243,
			  236,  256,  257,  251,  252,  254,  255,  163,  240,  722,
			  262,    3,   52,  263,  102,  109,  372,  103,  248,   42,

			   43,   58,   44,   45,   46,  124,  133,  164,  165,  244,
			  245,  367,   89,   90,  110,  111,  190,  191,  311,  501,
			  552,  482,  652,  653,  680,  681,  682,  688,  621,  657,
			  322,  402>>)
		end

	yypact_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			  468, 1758, -32768,  222,  187,  149, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  524, -32768,
			 -32768, -32768, -32768, -32768, -32768,  511, -32768,  620,  614,  611,
			  242,  514, -32768, -32768, -32768, -32768, -32768, 1758, 1677, 1758,
			  242,  242,  242, -32768,  -24,  532, -32768,  511, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768,  441,  617, 1878,  284,
			 -32768,  242,  359, -32768,  103,  464,  464, -32768,  591,  456,
			 -32768, -32768,  274, -32768,  541,  352,  541,  507, -32768,  604,

			  492, -32768,  591,  468,   94, -32768,  242,  242,  464,  384,
			  591, -32768, -32768,  549,  548, -32768, -32768, -32768, -32768, -32768,
			 -32768,  223, -32768,  242, -32768,  115,  385,  384,  592, -32768,
			  496,  120, -32768,  498,  498,  425, 1527,  468, -32768, -32768,
			  419, -32768,    0, -32768,  274,  541,  258,  541,  416,  492,
			 -32768, -32768,  572,   11,   11,   11,   11,  464,  252,  538,
			  582,  534,  504,  575,  456,  448, -32768,  253, -32768,  242,
			 -32768,  242, 1944, 1924,   11, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  263, -32768,
			 -32768,  373,  404, 1527,  242, 1527, 1527, 1527, 1527, 1527,

			 1527, -32768, -32768, -32768,  360,  118,  347,  483,  486, 1527,
			 1441, -32768, -32768, -32768, 1943, -32768,  242, -32768, -32768,  330,
			 -32768,  576, -32768,  359, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768,  254, -32768, -32768,  485, -32768, -32768,  584,  481,
			 -32768, -32768,  177, -32768,  366, -32768, 1758,  222,  570,  456,
			  448, -32768,  534,  147, -32768,  504, -32768,  569, -32768,  538,
			  468, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,

			 -32768, -32768, -32768, -32768, -32768, -32768, -32768,  263,  -33, -32768,
			   -7,  425,  425, -32768, 1527, -32768, -32768, -32768, 1826,  106,
			  472, 1943,  338, -32768, -32768, -32768, -32768, -32768, 1355,  242,
			  301, -32768, -32768,  242,  254,   32, 1527, -32768, 1527, 1527,
			 1527, 1527, 1527, 1527, 1527, 1527, 1527, 1527, 1527, 1527,
			 1527, 1269, 1527, 1183, 1527, 1527,  106, -32768,  282,  253,
			 -32768, -32768,   11,   11,   11, -32768, -32768, -32768,  464, -32768,
			  557, -32768, -32768,  253,  468, -32768,  504,  456,  448,  556,
			  147,  534,  553,  425, -32768,  457,  185,  254,  532, -32768,
			 -32768, 1798,  200,  512, -32768, 1527, -32768,  451, 1879,  452,

			 -32768, -32768,  285,  450, -32768, -32768,  -61,  -61,  -61,  -61,
			  -61,  565,  565,  434,  434,  434,  434,  434,  434, 1527,
			 2003, 1983, 1527, 1983, 1963, -32768,  143, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768,  544,  537,  468, -32768,  147,  456,
			  448,  504,  253, -32768, -32768,  242,  254, -32768,  508,  475,
			 -32768, -32768,  106, 1943, -32768, 1527,  106, -32768,  242,  -71,
			 2003, 1983, -32768,  253,  147,  513,  456,  448,  468, -32768,
			  505, -32768, -32768,   15, 1591, 1097,  356,   56, -32768,   51,
			 -32768,  242, -32768, -32768,  456,  448,  253,  468, -32768,  499,
			  147,  242, -32768, -32768, -32768, -32768, -32768, -32768,  475, -32768,

			 -32768, -32768, 1527, 1011, -32768,  242, 1878,  417,  110, -32768,
			 -32768,  106,  468, -32768, -32768,  494,  253,  456,  448, -32768,
			  268, -32768, 1527, -32768,  169, -32768,  482,  925,  490, -32768,
			 -32768, -32768,  484,  253, -32768,  468, -32768, 1878,  417,  102,
			 -32768,  242,  254, -32768, 1878,  417, 1527,  839, -32768, -32768,
			  417, -32768,  689,  417,  253, -32768,  476,  482,  467, -32768,
			 -32768, -32768,    9, -32768,  463, -32768, 1527, -32768,  279,  254,
			 1527,  242, -32768,  186,  118,  347, -32768, 1527, 1527, -32768,
			  325,  125,  753,  321,  242,  609, -32768,  350, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  447,  279,

			 -32768,  253,  417, -32768,  417,  417,  242, -32768, -32768, -32768,
			 -32768,  413,  311, 1770,  310,  242,  301, 1710, 1629,  384,
			 1878, -32768,  254, -32768, -32768,  -71, -32768,  391,  -71,  106,
			  282, -32768, 1527, -32768,  371, -32768,  689, 1527, 1527,  367,
			 -32768,  346,  279,  279, -32768, -32768, -32768,  321,  200,  239,
			  176,  444,   62,  221, -32768,  235, -32768,  109,  251,  152,
			 -32768, -32768, -32768,  143, 1606, -32768, -32768, 1943, 1943, -32768,
			 -32768,  236,  208,  -71,  106,  106,  118, -32768, -32768, -32768,
			   -2, -32768,  209, -32768,  183,  444, -32768, 1527,  138, -32768,
			 1878, -32768,  321, -32768, -32768, -32768, -32768,   56,   51,  444,

			 -32768,  444, -32768,  -11, 1943,  215, 1527, -32768,  -71, -32768,
			 -32768, -32768, -32768, -32768, 1527,  687, -32768, -32768, 1943, -32768,
			   23, -32768,   35,   30, -32768>>)
		end

	yypgoto_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			 -195,  246,  550, -32768, -32768, -32768, -424, -209, -123,   10,
			   -1, -32768, -151,   81,  -15, -168,  108,   43, -555,    4,
			 -436, -521, -32768, -32768, -176,  516, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -137, -32768, -32768,
			 -360,  612, -32768, -32768,    2,  -48, -32768, -32768, -32768, -32768,
			 -32768, -32768, -32768, -32768, -32768, -32768, -32768, -32768,  -90,  168,
			 -396, -367,   13,  126,  418,  462, -155, -32768, -102,  -87,
			   -8,  189,  212, -32768, -208, -109, -545,  519, -32768, -32768,
			 -131,  559, -235,  555,  420,  554, -247, -32768,  314, -32768,
			  677,  -38,  429, -346,  580,  560, -32768, -157, -32768,  415,

			 -32768, -32768,  602,  601,  598, -32768,   42,  -58,  -69, -32768,
			 -236, -32768, -32768,  564, -32768,  542, -32768, -32768,  344, -32768,
			   59, -475, -32768, -32768,  -37,  -53,  -56, -32768, -32768, -32768,
			  431, -32768>>)
		end

	yytable_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			   37,  337,  116,   38,  166,  376,  242,  260,  369,  330,
			  261,   36,  141,  428,   40,  313,  234,  234,  238,  234,
			  379,  449,  224,  237,  361,  241,  447,  433,  355,  388,
			  724,  584,   31,   30,   97,  723,  625,  307,  628,  404,
			  713,   31,   30,  173,  639,  721,   97,  338,   97,  700,
			  481,  503,   63,  172,  226,  317,   37,   37,   37,   66,
			   38,   66,   71,   72,   73,  128,   77,   36,   36,   36,
			   40,   40,   40,   97,   31,   30,   31,   30,  503,  503,
			   31,   30,  633,   77,  683,  472,  384,  671,  672,  250,
			   74,   83,  374,  242,  115,  375,  471,  119,  503,  221,

			  249,  699,  673,  547,  387,  234,  131,  498,  132,  132,
			  699,  366,  171,  492,  360,  584,  170,  483,   86,   85,
			  247,  560,  547,  547,  606,  132,  403,  405,  543,  530,
			  491,  519,  432,  131,  441,  389,  390,  189,  219,  147,
			  514,  435,  547,  559,  395,  561,  225,  708,  229,  134,
			  660,  529,  146,  662,  264,  189,  189,  189,  189,   31,
			   30,  426,  -74,  -74,  145,  142,  607,  107,  100,  -74,
			  534,  131,  510,  265,  -74,   97,  189,  509,  -74,  448,
			   93,  144,  -74,  623,  378,   31,   30,  555,  365,  135,
			   31,   30,  706,  189,  189,  377,  320,  318,  696,  321,

			  323,  324,  325,  326,  327,  702,  470,  443,  600,  173,
			  644,  129,  219,  321,  701,  678,   56,  242,  356,  172,
			  436,  690,  382,  437,  328,  234,  430,  238,  689,  143,
			  695,  429,  169,  716,   31,   30,   50,   55,  473,  331,
			   49,  622,   31,   30,  189,   37,   48,   96,   38,  678,
			   31,   30,  -11,   -3,   54,  640,   36,  477,  694,   40,
			   95,  479,  152,  678,  462,  678,  -11,  -74,  -74,  692,
			  -11,   47,   94,  691,  -74,   53,  -11,  685,  147,  -74,
			  542,  541,  468,  246,    1,  469,  538,  -74,   93,   92,
			  687,  146, -143,  675,  537, -143,  446,  445,  674,   86,

			   85,  -11,  615,  145,  328, -143,  505,   31,   30,  487,
			  386,  440,  488,  189,  189,  228,  531,   84,  391,   93,
			  144,  451,  439,   31,   30,  610,  714,  512, -143, -143,
			  513,  399,  398,  328,  562,  401,  434,  139,  219,   31,
			   30,   29,  406,  407,  408,  409,  410,  411,  412,  413,
			  414,  415,  416,  417,  418,  420,  421,  423,  424,  425,
			  535,  612,  553,  536,  189,  189,  189,  152,  670,  467,
			  633,  632,  631,  627,  507,  309,  114,  113,  616,  623,
			  466,  308,  506,   96,  497,  189,   31,   30,  386,  669,
			  630,  604,  605,  666,  505,  485,   95,  458,  465,  453,

			  -74,  -74,  174,  427,  457,  173,  484,  158,   94,  118,
			  157,  619,  -74,  661,  659,  172,  -74,   31,   30,  136,
			  -74,  518,  400,  460,   93,   92,  461,  649,  156,  155,
			  489,  647,  517,  154,  663,  646,  173,  153,   31,   30,
			  527,  357,  645,  620,  565,  567,  172,  386,  328,  515,
			  395,  558,  394,  658,  174,  638,  637,  173,  564,  398,
			  480,  316,  315,  568,  609,  665,  599,  172,  332,   31,
			   30,   86,   85,  496,  532,  386,  329,  219,  328,  697,
			  698,  368,  104,  511,  495,  608,  686,  499,  312,  603,
			   31,   30,  544,  386,  521,  523,  655,  556,  601,    1,

			  152,  575,  676,  204,  219,  219,  554,  524,   32,   31,
			   30,   29,  549,  100,  540,  641,  533,  642,  643,  526,
			  475,  516,  314,  355,  219,  709,  524,  490,  232,  219,
			  231,  223,  711,  222,    7,  486,  344,  343,  342,  341,
			  340,  339,  338,  524,  474,  717,  114,  113,  219,  219,
			  557,  720,  154,   81,  585,   80,  117,  563,  120,  464,
			  194,  679,  570,  227,  524,  230,  463,  459,  219,  456,
			  454,  452,   78,  614,  613,  442,  444,  156,  438,  -10,
			  104,  617,  618,  624,  219,  624,  629,  -75,  -75,  393,
			  153,  380,  373,  364,  -75,  679,  363,  362,  359,  -75,

			  157,  333,  334,  -75,  253,  125,   93,  -75,  524,  679,
			  171,  679, -349,  168,  167,   56,   54,  650,  108,  123,
			  121,   82, -349,   59, -349,   62, -349,   64,   61, -349,
			 -349, -349, -349,  656,   60,   57,  664, -349,  585, -349,
			  335,  667,  668, -349, -349,  712,  710,  636,  703,  624,
			  677,  383,  138,  112,  355, -349, -349,   70,   67,   88,
			   69,  370,  127, -349, -349, -349, -349, -349, -349,  342,
			  341,  340,  339,  338, -349, -349,  371,    2,  431,  381,
			  162,  161,  258,  602,  677,  160,  500,  520,  539,  705,
			  306,  704,  583,   91,  624,  684,  635,    0,  677,  233,

			  677,  478,  582,  707,  581,    0,  580,    0,    0,    0,
			  715,    0,    0,    0,    0,    0,    0,  579,  718,  578,
			    0,    0,    0,  577, -349, -349,  719,  328,    0, -349,
			 -349,    0,    0,    0,    0,    0,  576,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,  575,  574,  573,    0,
			    0,    0,    0,    0,   31,   30,    0,    0,    0,  209,
			    0,    0,    0,    0,    0,    0,    0,    0,  208,    0,
			    0,    0,    0,    0,    0,  626,  355,    0,    0,  354,
			  353,  352,  351,  350,  349,  348,  347,  346,  345,  344,
			  343,  342,  341,  340,  339,  338,    0,    0,    0,    0,

			    0,    0,    0,  207,  572,  571,    0,  570,    0,  569,
			  206,  205,  204,    0,  203,   34,   33,   32,   31,   30,
			  202,   28,   27,   26,   25,   24,   23,   22,   21,   20,
			   19,   18,   17,   16,   15,   14,   13,   12,   11,   10,
			    9,  201,  200,    7,    6,  209,    0,    0,    0,    0,
			    0,    0,    0,    0,  208,  199,  198,    0,    0,    0,
			    0,    0,  197,  196,    0,    0,  195,    0,    0,  194,
			    0,  193,    0,    0,    0,  192,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,  207,
			    0,    0,    0,    0,    0,    0,  206,  205,  204,    0,

			  203,   34,   33,   32,   31,   30,  202,   28,   27,   26,
			   25,   24,   23,   22,   21,   20,   19,   18,   17,   16,
			   15,   14,   13,   12,   11,   10,    9,  201,  200,    7,
			    6,  209,    0,    0,    0,    0,    0,    0,    0,    0,
			  208,  199,  198,    0,    0,    0,    0,    0,  197,  196,
			    0,    0,  195,    0,  566,  194,    0,  193,    0,    0,
			    0,  192,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,  207,  546,    0,    0,    0,
			    0,    0,  206,  205,  204,    0,  203,   34,   33,   32,
			   31,   30,  202,   28,   27,   26,   25,   24,   23,   22,

			   21,   20,   19,   18,   17,   16,   15,   14,   13,   12,
			   11,   10,    9,  201,  200,    7,    6,  209,    0,    0,
			    0,    0,    0,    0,    0,    0,  208,  199,  198,    0,
			    0,    0,    0,    0,  197,  196,    0,    0,  195,    0,
			    0,  194,    0,  193,    0,    0,    0,  192,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,  207,    0,    0,    0,    0,    0,    0,  206,  205,
			  204,    0,  203,   34,   33,   32,   31,   30,  202,   28,
			   27,   26,   25,   24,   23,   22,   21,   20,   19,   18,
			   17,   16,   15,   14,   13,   12,   11,   10,    9,  201,

			  200,    7,    6,  209,    0,    0,    0,    0,    0,    0,
			    0,    0,  208,  199,  198,    0,    0,  502,    0,    0,
			  197,  196,    0,    0,  195,    0,  522,  194,    0,  193,
			    0,    0,    0,  192,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,  207,    0,    0,
			    0,    0,    0,    0,  206,  205,  204,    0,  203,   34,
			   33,   32,   31,   30,  202,   28,   27,   26,   25,   24,
			   23,   22,   21,   20,   19,   18,   17,   16,   15,   14,
			   13,   12,   11,   10,    9,  201,  200,    7,    6,  209,
			    0,    0,    0,    0,    0,    0,    0,    0,  208,  199,

			  198,    0,    0,  422,    0,    0,  197,  196,    0,    0,
			  195,    0,    0,  194,    0,  193,    0,    0,    0,  192,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,  207,    0,    0,    0,    0,    0,    0,
			  206,  205,  204,    0,  203,   34,   33,   32,   31,   30,
			  202,   28,   27,   26,   25,   24,   23,   22,   21,   20,
			   19,   18,   17,   16,   15,   14,   13,   12,   11,   10,
			    9,  201,  200,    7,    6,  209,    0,    0,    0,    0,
			    0,    0,    0,    0,  208,  199,  198,    0,    0,    0,
			    0,    0,  197,  196,    0,    0,  195,    0,    0,  194,

			    0,  193,    0,    0,    0,  192,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,  207,
			  419,    0,    0,    0,    0,    0,  206,  205,  204,    0,
			  203,   34,   33,   32,   31,   30,  202,   28,   27,   26,
			   25,   24,   23,   22,   21,   20,   19,   18,   17,   16,
			   15,   14,   13,   12,   11,   10,    9,  201,  200,    7,
			    6,  209,    0,    0,    0,    0,    0,    0,    0,    0,
			  208,  199,  198,    0,    0,    0,    0,    0,  197,  196,
			    0,    0,  195,    0,    0,  194,    0,  193,    0,    0,
			    0,  192,    0,    0,    0,    0,    0,    0,    0,    0,

			    0,    0,    0,    0,    0,  207,    0,    0,    0,    0,
			    0,    0,  206,  205,  204,    0,  203,   34,   33,   32,
			   31,   30,  202,   28,   27,   26,   25,   24,   23,   22,
			   21,   20,   19,   18,   17,   16,   15,   14,   13,   12,
			   11,   10,    9,  201,  200,    7,    6,  209,    0,    0,
			    0,    0,    0,    0,    0,    0,  208,  199,  198,    0,
			    0,    0,    0,    0,  197,  196,    0,    0,  195,    0,
			    0,  194,    0,  193,  396,    0,    0,  192,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,  207,    0,    0,    0,    0,    0,    0,  206,  205,

			  204,    0,  203,   34,   33,   32,   31,   30,  202,   28,
			   27,   26,   25,   24,   23,   22,   21,   20,   19,   18,
			   17,   16,   15,   14,   13,   12,   11,   10,    9,  201,
			  200,    7,    6,  209,    0,    0,    0,    0,    0,    0,
			    0,    0,  208,  199,  198,    0,    0,    0,    0,    0,
			  197,  196,    0,    0,  195,    0,  336,  194,    0,  193,
			    0,    0,    0,  192,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,    0,    0,  207,    0,    0,
			    0,    0,    0,    0,  206,  205,  204,    0,  203,   34,
			   33,   32,   31,   30,  202,   28,   27,   26,   25,   24,

			   23,   22,   21,   20,   19,   18,   17,   16,   15,   14,
			   13,   12,   11,   10,    9,  201,  200,    7,    6,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,  199,
			  198,   78,    0,    0,    0,    0,  197,  196,    0,    0,
			  195,    0,    0,  194,  494,  193,    0,    0,    0,  192,
			    0,    0,  493,   34,   33,   32,    0,  693,   29,   28,
			   27,   26,   25,   24,   23,   22,   21,   20,   19,   18,
			   17,   16,   15,   14,   13,   12,   11,   10,    9,    8,
			  654,    7,    6,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,    0,    5,    4,  355,    0,    0,  354,  353,

			  352,  351,  350,  349,  348,  347,  346,  345,  344,  343,
			  342,  341,  340,  339,  338,    0,    0,    0,  355,    0,
			    0,  354,  353,  352,  351,  350,  349,  348,  347,  346,
			  345,  344,  343,  342,  341,  340,  339,  338,   35,   34,
			   33,   32,   31,   30,   29,   28,   27,   26,   25,   24,
			   23,   22,   21,   20,   19,   18,   17,   16,   15,   14,
			   13,   12,   11,   10,    9,    8,  651,    7,    6,    0,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,    5,
			    4,    0,    0,    0,    0,    0,    0,    0,    0,    0,
			    0,    0,   68,    0,    0,    0,    0,    0,    0,  355,

			    0,    0,  354,  353,  352,  351,  350,  349,  348,  347,
			  346,  345,  344,  343,  342,  341,  340,  339,  338,   35,
			   34,   33,   32,   31,   30,   29,   28,   27,   26,   25,
			   24,   23,   22,   21,   20,   19,   18,   17,   16,   15,
			   14,   13,   12,   11,   10,    9,    8,    0,    7,    6,
			    0,    0,    0,    0,    0,    0,    0,    0,    0,  355,
			    5,    4,  354,  353,  352,  351,  350,  349,  348,  347,
			  346,  345,  344,  343,  342,  341,  340,  339,  338,    0,
			    0,    0,    0,    0,    0,    0,    0,  355,    0,  648,
			  354,  353,  352,  351,  350,  349,  348,  347,  346,  345,

			  344,  343,  342,  341,  340,  339,  338,    0,    0,    0,
			    0,    0,    0,    0,    0,  355,    0,  450,  354,  353,
			  352,  351,  350,  349,  348,  347,  346,  345,  344,  343,
			  342,  341,  340,  339,  338,    0,    0,    0,    0,    0,
			    0,    0,    0,    0,    0,  392,   28,   27,   26,   25,
			   24,   23,   22,   21,   20,   19,   18,   17,   16,   15,
			   14,   13,   12,   11,   10,    9,    0,    0,  355,    6,
			    0,  354,  353,  352,  351,  350,  349,  348,  347,  346,
			  345,  344,  343,  342,  341,  340,  339,  338,    0,    0,
			    0,  455,  305,  304,  303,  302,  301,  300,  299,  298,

			  297,  296,  295,  294,  293,  292,  291,  290,  289,  288,
			  287,  286,  285,  284,  283,  282,  281,  280,  279,  278,
			  277,  276,  275,  274,  273,  272,  271,  270,  269,  268,
			  267,  266,  355,    0,    0,  354,  353,  352,  351,  350,
			  349,  348,  347,  346,  345,  344,  343,  342,  341,  340,
			  339,  338,  355,    0,    0,    0,  353,  352,  351,  350,
			  349,  348,  347,  346,  345,  344,  343,  342,  341,  340,
			  339,  338,  355,    0,    0,    0,    0,    0,  351,  350,
			  349,  348,  347,  346,  345,  344,  343,  342,  341,  340,
			  339,  338,  355,    0,    0,    0,    0,    0,    0,  350,

			  349,  348,  347,  346,  345,  344,  343,  342,  341,  340,
			  339,  338>>)
		end

	yycheck_template: ANY is
			-- This is supposed to be "like FIXED_INTEGER_ARRAY_TYPE",
			-- but once functions cannot be declared with anchored types.
		once
			Result := yyfixed_array (<<
			    1,  210,   92,    1,  127,  252,  157,  164,  244,  204,
			  165,    1,  121,  359,    1,  191,  153,  154,  155,  156,
			  255,  388,   22,  154,  232,  156,  386,  373,   89,   36,
			    0,  552,   65,   66,   82,    0,  581,  174,  583,    7,
			   51,   65,   66,   32,  599,   22,   94,  108,   96,   51,
			  121,  475,   50,   42,  144,  192,   57,   58,   59,   57,
			   58,   59,   60,   61,   62,  103,   64,   57,   58,   59,
			   57,   58,   59,  121,   65,   66,   65,   66,  502,  503,
			   65,   66,   20,   81,   22,  445,  119,  642,  643,  158,
			  114,   78,  249,  244,   92,  250,  442,   95,  522,  137,

			  158,  112,  647,  527,  111,  242,  104,  474,  106,  107,
			  112,  242,  112,  473,  223,  636,  131,  463,   15,   16,
			  158,   19,  546,  547,  115,  123,  334,  336,  524,   19,
			  115,  491,  368,  131,  381,  311,  312,  135,  136,   24,
			  486,  376,  566,   41,  112,  541,  144,  692,  146,  107,
			  625,   41,   37,  628,  169,  153,  154,  155,  156,   65,
			   66,  356,   15,   16,   49,  123,  562,   86,   65,   22,
			  516,  169,  121,  171,   27,  223,  174,  121,   31,  387,
			   65,   66,   35,   58,  253,   65,   66,  533,   11,  108,
			   65,   66,   54,  191,  192,  253,  194,  193,  673,  195,

			  196,  197,  198,  199,  200,   22,  441,  383,  554,   32,
			  606,  117,  210,  209,    5,  651,   67,  368,  216,   42,
			  377,  112,  260,  378,  118,  362,  363,  364,  119,  114,
			   22,  362,  112,  708,   65,   66,   14,   88,  446,  121,
			   18,  116,   65,   66,  242,  246,   24,   24,  246,  685,
			   65,   66,    0,    0,   67,  601,  246,  452,   22,  246,
			   37,  456,  115,  699,  121,  701,   14,   15,   16,  117,
			   18,   49,   49,   22,   22,   88,   24,   56,   24,   27,
			  111,  112,  439,   31,   31,  440,   18,   35,   65,   66,
			   55,   37,   29,  117,   26,   32,  111,  112,   59,   15,

			   16,   49,  116,   49,  118,   42,   38,   65,   66,  466,
			  308,  380,  467,  311,  312,   57,  511,   33,  314,   65,
			   66,  121,  380,   65,   66,   46,  111,  484,   65,   66,
			  485,  329,  328,  118,  542,  333,  374,  114,  336,   65,
			   66,   67,  338,  339,  340,  341,  342,  343,  344,  345,
			  346,  347,  348,  349,  350,  351,  352,  353,  354,  355,
			  517,  569,  530,  518,  362,  363,  364,  115,   22,  438,
			   20,   21,   22,  582,   18,  112,  102,  103,  573,   58,
			  438,  118,   26,   24,  474,  383,   65,   66,  386,   22,
			  585,  559,  560,   22,   38,  464,   37,  112,  436,  395,

			   15,   16,   29,  121,  119,   32,  464,   22,   49,   57,
			   25,  579,   27,   22,  622,   42,   31,   65,   66,   35,
			   35,  490,  121,  419,   65,   66,  422,  117,   43,   44,
			  468,  120,  490,   48,  629,   22,   32,   52,   65,   66,
			   23,  111,  610,  118,  546,  547,   42,  445,  118,  487,
			  112,  538,  114,  621,   29,    8,    9,   32,  545,  455,
			  458,   57,   58,  550,  566,  633,  553,   42,  121,   65,
			   66,   15,   16,  474,  512,  473,  116,  475,  118,  674,
			  675,  115,  116,  481,  474,   22,  654,  474,  115,   22,
			   65,   66,   10,  491,  502,  503,  619,  535,   22,   31,

			  115,   57,   58,   59,  502,  503,   22,  505,   64,   65,
			   66,   67,   22,   65,  522,  602,   22,  604,  605,  506,
			   45,   22,  118,   89,  522,  693,  524,   22,  112,  527,
			  114,  112,  700,  114,   90,   22,  102,  103,  104,  105,
			  106,  107,  108,  541,   36,  713,  102,  103,  546,  547,
			  537,  719,   48,  112,  552,  114,   94,  544,   96,   22,
			  116,  651,  118,  145,  562,  147,   22,  117,  566,  117,
			  119,   59,   40,  571,  570,   22,  119,   43,   22,   22,
			  116,  577,  578,  581,  582,  583,  584,   15,   16,  117,
			   52,   22,   22,  112,   22,  685,   12,  112,   22,   27,

			   25,  118,  116,   31,   22,  113,   65,   35,  606,  699,
			  112,  701,    3,  117,   22,   67,   67,  615,   27,   15,
			  113,    4,   13,  112,   15,   14,   17,  113,   14,   20,
			   21,   22,   23,  620,   14,  111,  632,   28,  636,   30,
			  209,  637,  638,   34,   35,  701,  699,  588,  685,  647,
			  651,  307,  110,   89,   89,   46,   47,   59,   57,   79,
			   58,  246,  102,   54,   55,   56,   57,   58,   59,  104,
			  105,  106,  107,  108,   65,   66,  247,    0,  364,  259,
			  126,  126,  163,  557,  685,  126,  474,  498,  520,  687,
			  174,  687,    3,   81,  692,  652,  588,   -1,  699,  149,

			  701,  455,   13,  690,   15,   -1,   17,   -1,   -1,   -1,
			  706,   -1,   -1,   -1,   -1,   -1,   -1,   28,  714,   30,
			   -1,   -1,   -1,   34,  115,  116,   39,  118,   -1,  120,
			  121,   -1,   -1,   -1,   -1,   -1,   47,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   57,   58,   59,   -1,
			   -1,   -1,   -1,   -1,   65,   66,   -1,   -1,   -1,    6,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   15,   -1,
			   -1,   -1,   -1,   -1,   -1,   22,   89,   -1,   -1,   92,
			   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,
			  103,  104,  105,  106,  107,  108,   -1,   -1,   -1,   -1,

			   -1,   -1,   -1,   50,  115,  116,   -1,  118,   -1,  120,
			   57,   58,   59,   -1,   61,   62,   63,   64,   65,   66,
			   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,
			   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,
			   87,   88,   89,   90,   91,    6,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   15,  102,  103,   -1,   -1,   -1,
			   -1,   -1,  109,  110,   -1,   -1,  113,   -1,   -1,  116,
			   -1,  118,   -1,   -1,   -1,  122,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   50,
			   -1,   -1,   -1,   -1,   -1,   -1,   57,   58,   59,   -1,

			   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,
			   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,
			   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,
			   91,    6,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   15,  102,  103,   -1,   -1,   -1,   -1,   -1,  109,  110,
			   -1,   -1,  113,   -1,  115,  116,   -1,  118,   -1,   -1,
			   -1,  122,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   50,   51,   -1,   -1,   -1,
			   -1,   -1,   57,   58,   59,   -1,   61,   62,   63,   64,
			   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,

			   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,
			   85,   86,   87,   88,   89,   90,   91,    6,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   15,  102,  103,   -1,
			   -1,   -1,   -1,   -1,  109,  110,   -1,   -1,  113,   -1,
			   -1,  116,   -1,  118,   -1,   -1,   -1,  122,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   50,   -1,   -1,   -1,   -1,   -1,   -1,   57,   58,
			   59,   -1,   61,   62,   63,   64,   65,   66,   67,   68,
			   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,
			   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,

			   89,   90,   91,    6,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   15,  102,  103,   -1,   -1,   20,   -1,   -1,
			  109,  110,   -1,   -1,  113,   -1,  115,  116,   -1,  118,
			   -1,   -1,   -1,  122,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   50,   -1,   -1,
			   -1,   -1,   -1,   -1,   57,   58,   59,   -1,   61,   62,
			   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,
			   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,
			   83,   84,   85,   86,   87,   88,   89,   90,   91,    6,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   15,  102,

			  103,   -1,   -1,   20,   -1,   -1,  109,  110,   -1,   -1,
			  113,   -1,   -1,  116,   -1,  118,   -1,   -1,   -1,  122,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   50,   -1,   -1,   -1,   -1,   -1,   -1,
			   57,   58,   59,   -1,   61,   62,   63,   64,   65,   66,
			   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,
			   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,
			   87,   88,   89,   90,   91,    6,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   15,  102,  103,   -1,   -1,   -1,
			   -1,   -1,  109,  110,   -1,   -1,  113,   -1,   -1,  116,

			   -1,  118,   -1,   -1,   -1,  122,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   50,
			   51,   -1,   -1,   -1,   -1,   -1,   57,   58,   59,   -1,
			   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,
			   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,
			   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,
			   91,    6,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   15,  102,  103,   -1,   -1,   -1,   -1,   -1,  109,  110,
			   -1,   -1,  113,   -1,   -1,  116,   -1,  118,   -1,   -1,
			   -1,  122,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,

			   -1,   -1,   -1,   -1,   -1,   50,   -1,   -1,   -1,   -1,
			   -1,   -1,   57,   58,   59,   -1,   61,   62,   63,   64,
			   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,
			   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,
			   85,   86,   87,   88,   89,   90,   91,    6,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   15,  102,  103,   -1,
			   -1,   -1,   -1,   -1,  109,  110,   -1,   -1,  113,   -1,
			   -1,  116,   -1,  118,  119,   -1,   -1,  122,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   50,   -1,   -1,   -1,   -1,   -1,   -1,   57,   58,

			   59,   -1,   61,   62,   63,   64,   65,   66,   67,   68,
			   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,
			   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,
			   89,   90,   91,    6,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   15,  102,  103,   -1,   -1,   -1,   -1,   -1,
			  109,  110,   -1,   -1,  113,   -1,  115,  116,   -1,  118,
			   -1,   -1,   -1,  122,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   50,   -1,   -1,
			   -1,   -1,   -1,   -1,   57,   58,   59,   -1,   61,   62,
			   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,

			   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,
			   83,   84,   85,   86,   87,   88,   89,   90,   91,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  102,
			  103,   40,   -1,   -1,   -1,   -1,  109,  110,   -1,   -1,
			  113,   -1,   -1,  116,   53,  118,   -1,   -1,   -1,  122,
			   -1,   -1,   61,   62,   63,   64,   -1,   51,   67,   68,
			   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,
			   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,
			   51,   90,   91,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,  102,  103,   89,   -1,   -1,   92,   93,

			   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,
			  104,  105,  106,  107,  108,   -1,   -1,   -1,   89,   -1,
			   -1,   92,   93,   94,   95,   96,   97,   98,   99,  100,
			  101,  102,  103,  104,  105,  106,  107,  108,   61,   62,
			   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,
			   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,
			   83,   84,   85,   86,   87,   88,   56,   90,   91,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,  102,
			  103,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,  115,   -1,   -1,   -1,   -1,   -1,   -1,   89,

			   -1,   -1,   92,   93,   94,   95,   96,   97,   98,   99,
			  100,  101,  102,  103,  104,  105,  106,  107,  108,   61,
			   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,
			   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,
			   82,   83,   84,   85,   86,   87,   88,   -1,   90,   91,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   -1,   89,
			  102,  103,   92,   93,   94,   95,   96,   97,   98,   99,
			  100,  101,  102,  103,  104,  105,  106,  107,  108,   -1,
			   -1,   -1,   -1,   -1,   -1,   -1,   -1,   89,   -1,  119,
			   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,

			  102,  103,  104,  105,  106,  107,  108,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,   89,   -1,  119,   92,   93,
			   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,
			  104,  105,  106,  107,  108,   -1,   -1,   -1,   -1,   -1,
			   -1,   -1,   -1,   -1,   -1,  119,   68,   69,   70,   71,
			   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,
			   82,   83,   84,   85,   86,   87,   -1,   -1,   89,   91,
			   -1,   92,   93,   94,   95,   96,   97,   98,   99,  100,
			  101,  102,  103,  104,  105,  106,  107,  108,   -1,   -1,
			   -1,  112,   68,   69,   70,   71,   72,   73,   74,   75,

			   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,
			   86,   87,   68,   69,   70,   71,   72,   73,   74,   75,
			   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,
			   86,   87,   89,   -1,   -1,   92,   93,   94,   95,   96,
			   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,
			  107,  108,   89,   -1,   -1,   -1,   93,   94,   95,   96,
			   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,
			  107,  108,   89,   -1,   -1,   -1,   -1,   -1,   95,   96,
			   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,
			  107,  108,   89,   -1,   -1,   -1,   -1,   -1,   -1,   96,

			   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,
			  107,  108>>)
		end

feature {NONE} -- Conversion

	yytype1 (v: ANY): ET_POSITION is
		require
			valid_type: yyis_type1 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type1 (v: ANY): BOOLEAN is
		local
			u: ET_POSITION
		do
			u ?= v
			Result := (u = v)
		end

	yytype2 (v: ANY): ET_BIT_CONSTANT is
		require
			valid_type: yyis_type2 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type2 (v: ANY): BOOLEAN is
		local
			u: ET_BIT_CONSTANT
		do
			u ?= v
			Result := (u = v)
		end

	yytype3 (v: ANY): ET_BOOLEAN_CONSTANT is
		require
			valid_type: yyis_type3 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type3 (v: ANY): BOOLEAN is
		local
			u: ET_BOOLEAN_CONSTANT
		do
			u ?= v
			Result := (u = v)
		end

	yytype4 (v: ANY): ET_CHARACTER_CONSTANT is
		require
			valid_type: yyis_type4 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type4 (v: ANY): BOOLEAN is
		local
			u: ET_CHARACTER_CONSTANT
		do
			u ?= v
			Result := (u = v)
		end

	yytype5 (v: ANY): ET_IDENTIFIER is
		require
			valid_type: yyis_type5 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type5 (v: ANY): BOOLEAN is
		local
			u: ET_IDENTIFIER
		do
			u ?= v
			Result := (u = v)
		end

	yytype6 (v: ANY): ET_INTEGER_CONSTANT is
		require
			valid_type: yyis_type6 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type6 (v: ANY): BOOLEAN is
		local
			u: ET_INTEGER_CONSTANT
		do
			u ?= v
			Result := (u = v)
		end

	yytype7 (v: ANY): ET_MANIFEST_STRING is
		require
			valid_type: yyis_type7 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type7 (v: ANY): BOOLEAN is
		local
			u: ET_MANIFEST_STRING
		do
			u ?= v
			Result := (u = v)
		end

	yytype8 (v: ANY): ET_REAL_CONSTANT is
		require
			valid_type: yyis_type8 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type8 (v: ANY): BOOLEAN is
		local
			u: ET_REAL_CONSTANT
		do
			u ?= v
			Result := (u = v)
		end

	yytype9 (v: ANY): ET_TOKEN is
		require
			valid_type: yyis_type9 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type9 (v: ANY): BOOLEAN is
		local
			u: ET_TOKEN
		do
			u ?= v
			Result := (u = v)
		end

	yytype10 (v: ANY): ET_ACTUAL_ARGUMENTS is
		require
			valid_type: yyis_type10 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type10 (v: ANY): BOOLEAN is
		local
			u: ET_ACTUAL_ARGUMENTS
		do
			u ?= v
			Result := (u = v)
		end

	yytype11 (v: ANY): ET_ACTUAL_GENERIC_PARAMETERS is
		require
			valid_type: yyis_type11 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type11 (v: ANY): BOOLEAN is
		local
			u: ET_ACTUAL_GENERIC_PARAMETERS
		do
			u ?= v
			Result := (u = v)
		end

	yytype12 (v: ANY): ET_ASSERTION is
		require
			valid_type: yyis_type12 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type12 (v: ANY): BOOLEAN is
		local
			u: ET_ASSERTION
		do
			u ?= v
			Result := (u = v)
		end

	yytype13 (v: ANY): ET_ASSERTIONS is
		require
			valid_type: yyis_type13 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type13 (v: ANY): BOOLEAN is
		local
			u: ET_ASSERTIONS
		do
			u ?= v
			Result := (u = v)
		end

	yytype14 (v: ANY): ET_CLASS is
		require
			valid_type: yyis_type14 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type14 (v: ANY): BOOLEAN is
		local
			u: ET_CLASS
		do
			u ?= v
			Result := (u = v)
		end

	yytype15 (v: ANY): ET_CLIENTS is
		require
			valid_type: yyis_type15 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type15 (v: ANY): BOOLEAN is
		local
			u: ET_CLIENTS
		do
			u ?= v
			Result := (u = v)
		end

	yytype16 (v: ANY): ET_COMPOUND is
		require
			valid_type: yyis_type16 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type16 (v: ANY): BOOLEAN is
		local
			u: ET_COMPOUND
		do
			u ?= v
			Result := (u = v)
		end

	yytype17 (v: ANY): ET_EXPRESSION is
		require
			valid_type: yyis_type17 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type17 (v: ANY): BOOLEAN is
		local
			u: ET_EXPRESSION
		do
			u ?= v
			Result := (u = v)
		end

	yytype18 (v: ANY): ET_FEATURE is
		require
			valid_type: yyis_type18 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type18 (v: ANY): BOOLEAN is
		local
			u: ET_FEATURE
		do
			u ?= v
			Result := (u = v)
		end

	yytype19 (v: ANY): ET_FEATURE_NAME is
		require
			valid_type: yyis_type19 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type19 (v: ANY): BOOLEAN is
		local
			u: ET_FEATURE_NAME
		do
			u ?= v
			Result := (u = v)
		end

	yytype20 (v: ANY): ET_FORMAL_ARGUMENTS is
		require
			valid_type: yyis_type20 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type20 (v: ANY): BOOLEAN is
		local
			u: ET_FORMAL_ARGUMENTS
		do
			u ?= v
			Result := (u = v)
		end

	yytype21 (v: ANY): ET_FORMAL_GENERIC_PARAMETER is
		require
			valid_type: yyis_type21 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type21 (v: ANY): BOOLEAN is
		local
			u: ET_FORMAL_GENERIC_PARAMETER
		do
			u ?= v
			Result := (u = v)
		end

	yytype22 (v: ANY): ET_FORMAL_GENERIC_PARAMETERS is
		require
			valid_type: yyis_type22 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type22 (v: ANY): BOOLEAN is
		local
			u: ET_FORMAL_GENERIC_PARAMETERS
		do
			u ?= v
			Result := (u = v)
		end

	yytype23 (v: ANY): ET_IF_INSTRUCTION is
		require
			valid_type: yyis_type23 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type23 (v: ANY): BOOLEAN is
		local
			u: ET_IF_INSTRUCTION
		do
			u ?= v
			Result := (u = v)
		end

	yytype24 (v: ANY): ET_INSTRUCTION is
		require
			valid_type: yyis_type24 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type24 (v: ANY): BOOLEAN is
		local
			u: ET_INSTRUCTION
		do
			u ?= v
			Result := (u = v)
		end

	yytype25 (v: ANY): ET_LOCAL_VARIABLES is
		require
			valid_type: yyis_type25 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type25 (v: ANY): BOOLEAN is
		local
			u: ET_LOCAL_VARIABLES
		do
			u ?= v
			Result := (u = v)
		end

	yytype26 (v: ANY): ET_NAMED_TYPE is
		require
			valid_type: yyis_type26 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type26 (v: ANY): BOOLEAN is
		local
			u: ET_NAMED_TYPE
		do
			u ?= v
			Result := (u = v)
		end

	yytype27 (v: ANY): ET_PARENTS is
		require
			valid_type: yyis_type27 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type27 (v: ANY): BOOLEAN is
		local
			u: ET_PARENTS
		do
			u ?= v
			Result := (u = v)
		end

	yytype28 (v: ANY): ET_POSTCONDITIONS is
		require
			valid_type: yyis_type28 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type28 (v: ANY): BOOLEAN is
		local
			u: ET_POSTCONDITIONS
		do
			u ?= v
			Result := (u = v)
		end

	yytype29 (v: ANY): ET_PRECONDITIONS is
		require
			valid_type: yyis_type29 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type29 (v: ANY): BOOLEAN is
		local
			u: ET_PRECONDITIONS
		do
			u ?= v
			Result := (u = v)
		end

	yytype30 (v: ANY): ET_RENAME is
		require
			valid_type: yyis_type30 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type30 (v: ANY): BOOLEAN is
		local
			u: ET_RENAME
		do
			u ?= v
			Result := (u = v)
		end

	yytype31 (v: ANY): ET_TYPE is
		require
			valid_type: yyis_type31 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type31 (v: ANY): BOOLEAN is
		local
			u: ET_TYPE
		do
			u ?= v
			Result := (u = v)
		end

	yytype32 (v: ANY): ET_WRITABLE is
		require
			valid_type: yyis_type32 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type32 (v: ANY): BOOLEAN is
		local
			u: ET_WRITABLE
		do
			u ?= v
			Result := (u = v)
		end

	yytype33 (v: ANY): like new_export_list is
		require
			valid_type: yyis_type33 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type33 (v: ANY): BOOLEAN is
		local
			u: like new_export_list
		do
			u ?= v
			Result := (u = v)
		end

	yytype34 (v: ANY): like new_feature_list is
		require
			valid_type: yyis_type34 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type34 (v: ANY): BOOLEAN is
		local
			u: like new_feature_list
		do
			u ?= v
			Result := (u = v)
		end

	yytype35 (v: ANY): like new_rename_list is
		require
			valid_type: yyis_type35 (v)
		do
			Result ?= v
		ensure
			definition: Result = v
		end

	yyis_type35 (v: ANY): BOOLEAN is
		local
			u: like new_rename_list
		do
			u ?= v
			Result := (u = v)
		end


feature {NONE} -- Constants

	yyFinal: INTEGER is 724
			-- Termination state id

	yyFlag: INTEGER is -32768
			-- Most negative INTEGER

	yyNtbase: INTEGER is 123
			-- Number of tokens

	yyLast: INTEGER is 2111
			-- Upper bound of `yytable' and `yycheck'

	yyMax_token: INTEGER is 357
			-- Maximum token id
			-- (upper bound of `yytranslate'.)

	yyNsyms: INTEGER is 255
			-- Number of symbols
			-- (terminal and nonterminal)

feature -- User-defined features



end -- class ET_EIFFEL_PARSER
